global:
  scrape_interval: 15s

scrape_configs:
  - job_name: 'prometheus'
    scrape_interval: 5s
    static_configs:
      - targets: ['localhost:9090']

  - job_name: 'checker-service'
    metrics_path: '/metrics'
    scrape_interval: 30s
    scrape_timeout: 15s
    static_configs:
      - targets: ['192.168.178.46:6091']

  - job_name: 'login-service'
    metrics_path: '/metrics'
    scrape_interval: 30s
    scrape_timeout: 15s
    static_configs:
      - targets: ['192.168.178.46:6090']

  - job_name: 'mail-service'
    metrics_path: '/metrics'
    scrape_interval: 30s
    scrape_timeout: 15s
    static_configs:
      - targets: ['192.168.178.46:6094']


alerting:
  alertmanagers:
    - scheme: http
      static_configs:
        - targets:
            - 'localhost:9093'
            - 'monitoring_alertmanager:9093'